SIM51 - Simulator fr (Intel-) MCS-51 Mikrocontroller           Ver. 1.04:
--------------------------------------------------------------------------

Gewhrleistung:
~~~~~~~~~~~~~~~
SIM51 wurde auf einem  XT (8088 / 4,7 MHz) mit Herkuleskarte sowie auf ei-
nem  AT (386 / 33 MHz) mit VGA-Karte ausgiebig getestet. Sollte SIM51 den-
noch Fehler  enthalten,  so bitte ich um einen  kurzen Hinwei (Adresse am
Ende des Textes). Ich werde mich bemhen, den Fehler zu beheben  und Ihnen
die neueste Version  zukommen lassen.  Gegenber weitergehenden Ansprchen
wird nicht gehaftet. SIM51  dient als Hilfsmittel zum Testen von 8051-Pro-
grammen (Debuggen, Schulung, Reassemblierung,..).  Fr die korrekte Anwen-
dung und  Beurteilung der Ergebnisse ist letztendlich der Anwender verant-
wortlich.


Copyrights:
~~~~~~~~~~~
Mit dem Erwerb einer registrierten Vollversion von  SIM51 erhalten Sie die
Lizenz zur Anwendung von SIM51. Kopien drfen nicht an Dritte  weitergege-
ben oder  verkauft werden. Die Urheberrechte bleiben beim Autor.

Es sei erlaubt, Sicherheitskopien von SIM51 zu erstellen. Auch eine Anwen-
dung  auf mehreren Rechnern  des Lizenznehmers sei in folgenden Fllen er-
laubt:

 *   Kopien von SIM51  werden auf mehreren Rechnern des Lizenznehmers
     installiert. Es wird aber gleichzeitig nur auf einem Rechner mit
     SIM51 gearbeitet.
    
 *   Ein Anwender arbeitet gleichzeitig  mit 2 Kopien von  SIM51. Als
     Anwendungsfall ist die  Kopplung  beider Rechner ber ein Null-
     modem Kabel denkbar. Damit kann der Datenaustausch zweier MCS-51
     Programme ber die serielle PC-Schnittstelle auf  SIM51 debugged
     werden.

Als Shareware-Version wird von mir ein voll lauffhiges Programm ausgelie-
fert. Die  Shareware-Version  darf frei kopiert  und weitergegeben werden.
SIM51d  darf fr maximal 30 Tage getestet werden.  Zu einer weiteren Nutz-
ung berechtigt nur eine  registrierte Vollversion. Es sei erlaubt, fr das
Kopieren der Shareware-Diskette eine kleine Gebhr zu erheben,jedoch soll-
te sie  8.- DM nicht bersteigen.  SIM51 darf jedoch insbesonders nicht im
Zusammenhang mit kommerzieller Software, Hardware, Bookware oder hnlichem
ausgeliefert werden.


SIM51.EXE  ist nur auf der Disk der Vollversion enthalten. Die Vollversion
gibt es also nur auf von  mir ausgelieferten Disketten. Alle anderen Files
sind gepackt in dem Archiv SIM51_04.ARJ enthalten. Es enthlt auch nochein-
mal SIM51 als Sharewareversion. Das kompette Archiv darf als Shareware wei-
tergegeben werden. SIM51.EXE jedoch nicht !!!   

Files in SIM51_04.ARJ:
~~~~~~~~~~~~~~~~~~~~~~
  copyrigh.t	- dieser Text 
  bugFix.txt    - Fehlerkorrekturen mit Datum.
  :
  sim51d.exe	- 8051 Software-Simulator Sharewareversion
  sim51.doc	- Anleitung zu SIM51
  erweit.doc	- provisorische Erweiterung auf 80552, 80515
  start.doc	- Kurz-Anleitung zum Schnellstart von SIM51
  :
  dis51.exe	- 8051 Disassembler
  dis51.doc	- Anleitung zu DIS51
  reg51.pdf	- Include-File fr DIS51 fr 8031, 8051, 8751
  reg52.pdf	- Include-File fr DIS51 fr 8032, 8052, 8752
  reg154.pdf	- Include-File fr DIS51 fr 80154 (OKI)
  reg44.pdf	- Include-File fr DIS51 fr 8044, 8344, 8744
  reg515.pdf	- Include-File fr DIS51 fr 80535, 80515 (Siemens)
  reg517.pdf	- Include-File fr DIS51 fr 80537, 80517 (Siemens)
  reg552.pdf	- Include-File fr DIS51 fr 80552 (Phillips)
  :
  ehex.exe	- Elektor eASM51 HEX-Format in Intel-Hex Konverter
  objview.exe	- Betrachten von Absolut-File (zum Experiementieren mit OMF)
  :
  bef51.doc	- 8051 Befehlssatz
  mcs51.doc	- 8051 Hardware (leider noch nicht druckreif)
  hex.doc	- Hex-Format Beschreibung
  omf51.doc	- Intel-Objekt-Modul Format Beschreibung (OMF)
  :
  seriell.hex	- Beispiel: ladbarer 8051-Code: (serielle Schnittstelle)
  seriell.a51	- Sourcefile zu obigen Beispiel
  :
  basic52.abs	- Beispiel: ladbarer 8052-Code: (BASIC-Interpreter)
  basic52.key   - zum automatischen Debuggen von basic52.abs.
  basic52.din   - enthlt einige Startadressen zum Disassemblieren. 
  basic52.doc   - enthlt einige Erluterungen zum 8752 AH Basic
  :
  fir44.abs	- Beispiel: 8044-Absolut-File mit Symbol-Definitionen zum
		  Laden auf DIS51 --> zeigt, wie DIS51 die Einsprungadressen
		  aus dem Absolutfile liet.
		  Aufruf:  DIS51 fir44.abs -noMod51 


Eine Sharewareversion
~~~~~~~~~~~~~~~~~~~~~
gibts gegen Zusendung von  5,10 DM (mglichst 3 Briefmarken  1,70 DM) als
Versandtentschdigung. 

SIM51d  kann auch ber Sharewarehndler  bezogen werden. Die neuesten Ver-
sionen  werden  von  mir ber  DS  (Deutschsprachige Shareware, Autoren- &
Hndlervereinigung) verteilt. Sie knnen auch aus der Mailbox  Maus Stgt 3
0(049-)711/456537 downgeloaded werden.


Vollversion:
~~~~~~~~~~~~
Die aktuellste Vollversion von SIM51 erhalten Sie gegen 50,- DM bei:

	Werner Hennig-Roleff		Konto: 100 815 83
	Sulzgrieser Str. 101		bei    Kreissparkasse Esslingen
	73733 Esslingen			BLZ:   611 500 20
	--------------
	Tel. 0711 / 37 67 18


Sie  knnen einfach  50.- DM  berweisen  (Kennwort SIM51  und die Adresse
nicht vergessen).  Sie knnen  die Vollversion  auch auf Rechnung oder per
Nachnahme anforden (bei Nachnahme +7.- DM Versandentschdigung).

Fr  9.- DM gibts dazu ein ausgedrucktes und gebundenes Handbuch (gleicher
Inhalt wie SIM51.DOC).


Esslingen im Januar 1993 			Werner Hennig-Roleff
